<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" /> <!-- 通知 -->
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" /> <!-- 前台服务 -->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <uses-permission android:name="android.permission.RECORD_AUDIO" /> <!-- 录音 -->
    <uses-permission android:name="android.permission.CAMERA" /> <!-- 相机 -->
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" /><!-- 悬浮窗 -->


    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="32"
        tools:ignore="ScopedStorage" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="32" />


    <!--    API34+ -->
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_MEDIA_PROJECTION" />
    <uses-permission
        android:name="android.permission.CAPTURE_VIDEO_OUTPUT"
        tools:ignore="ProtectedPermissions" />


    <application
        android:name=".App"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.RecordScreen"
        tools:targetApi="31">
        <activity
            android:name=".activity.WelcomeActivity"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.PlayActivity"
            android:exported="false"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activity.ImageViewActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.MainActivity1"
            android:exported="false"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"/>




        <activity
            android:name=".activity.ScreenPermissionActivity"
            android:excludeFromRecents="true"
            android:exported="true"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:taskAffinity=""
            android:theme="@style/Theme.Transparent" />
        <activity
            android:name=".activity.ScreenshotAnimActivity"
            android:excludeFromRecents="true"
            android:exported="true"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:taskAffinity=""
            android:theme="@style/Theme.Transparent" />

        <service
            android:name=".service.ScreenRecordService"
            android:exported="false"
            android:foregroundServiceType="mediaProjection" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.audio.record.screen.test.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>